@import "@/assets/variables.scss";
@import url("../../../../../node_modules/slick-carousel/slick/slick.css");
.partner {
  padding: 400px 0 200px 0;
  .partner-box {
    .box {
      .title {
        text-align: center;
        span {
          font-size: 42px;
          color: $dark;
        }
      }

      .slick-slider {
        margin-top: 90px;
        .slick-list {
          .slick-track {
            .slick-slide {
              .information {
                display: flex !important;
                width: 100%;
                .person-image {
                  // width: 40%;
                }

                .person-details {
                  position: relative;
                  width: 100%;
                  display: flex;
                  flex-direction: column;
                  justify-content: center;
                  align-items: flex-end;

                  .item {
                    display: flex;
                    margin-bottom: 45px;
                    .name {
                      white-space: nowrap;
                      margin-right: 70px;
                      font-size: 18px;
                      font-weight: bold;
                    }
                    .description {
                      width: 600px;
                      span {
                        font-size: 16px;
                        line-height: 27px;
                        font-weight: normal;
                        color: $dark;
                      }
                    }
                  }
                }
              }
            }
          }
        }

        .slick-dots {
          width: 320px;
          display: flex;
          justify-content: center;
          margin-top: 31px;
          li {
            list-style: none;
            margin-right: 18px;
            button {
              cursor: pointer;
              position: relative;
              width: 12px;
              height: 12px;
              border-radius: 50px;
              border: 1px solid $dark;
              background-color: $light;
              color: $light;
              font-size: 0;
            }

            &.slick-active {
              button {
                &::before {
                  content: "";
                  position: absolute;
                  top: 2px;
                  left: 0;
                  right: 0;
                  width: 6px;
                  height: 6px;
                  background-color: $dark;
                  border-radius: 50px;
                  margin: 0 auto;
                }
              }
            }
          }
        }

        .slick-arrow {
          position: absolute;
          bottom: 0;
          left: 0;
        }

        .slick-prev {
          margin-right: 20px;
          font-size: 0;
          background-color: $light;
          border: none;
          &::before {
            content: url("../img/bi_arrow-right.svg");
          }
        }

        .slick-next {
          font-size: 0;
          transform: rotate(180deg);
          &::before {
            content: url("../img/bi_arrow-right.svg");
          }
        }
      }

      .arrows-box {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        .slick-prev {
          cursor: pointer;
          font-size: 0;
          margin-top: 5px;
          background-color: transparent;
          border: none;
          &::before {
            content: url("../img/bi_arrow-right.svg");
          }
        }

        .slick-next {
          cursor: pointer;
          font-size: 0;
          background-color: transparent;
          border: none;
          margin-top: -5px;
          margin-left: 55px;
          transform: rotate(180deg);
          &::before {
            content: url("../img/bi_arrow-right.svg");
          }
        }

        .line-box {
          width: 50%;
          margin-left: 70px;
          order: 1;
          height: 2px;
          background-color: #ccc;
          .line {
            &.active {
              width: 30%;
              height: 2px;
              background-color: #000;
            }
          }
        }
      }
    }
  }

  @media screen and (max-width: 575px) {
    .partner-box {
      .box {
        .title {
          width: 280px;
          text-align: center;
          margin: 0 auto;
          span {
            font-size: 28px;
          }
        }
      }
    }
    .slick-slider {
      .slick-list {
        .slick-track {
          .information {
            flex-direction: column;
            .person-image {
              padding: 0 20px;
              img {
                width: 100%;
              }
            }

            .person-image {
              .slick-dots {
                width: 320px;
                display: flex;
                justify-content: center;
                margin-top: 31px;
                li {
                  list-style: none;
                  margin-right: 18px;
                  button {
                    cursor: pointer;
                    position: relative;
                    width: 12px;
                    height: 12px;
                    border-radius: 50px;
                    border: 1px solid $dark;
                    background-color: $light;
                    color: $light;
                    font-size: 0;
                  }

                  &.slick-active {
                    button {
                      &::before {
                        content: "";
                        position: absolute;
                        top: 2px;
                        left: 0;
                        right: 0;
                        width: 6px;
                        height: 6px;
                        background-color: $dark;
                        border-radius: 50px;
                        margin: 0 auto;
                      }
                    }
                  }
                }
              }
            }
            .person-details {
              width: auto !important;
              padding: 0 20px;
              margin-top: 60px;
              .item {
                flex-direction: column;
                .name {
                }

                .description {
                  width: auto !important;
                }
              }
            }
          }
        }
      }
    }

    .arrows-box {
      justify-content: center !important;
      .line-box {
        display: none;
      }
    }
  }
}
